package com.yunzhi.marketing.xlk.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yunzhi.marketing.base.ResponseBean;
import com.yunzhi.marketing.xlk.dto.ChannelCustomerDTO;
import com.yunzhi.marketing.xlk.dto.MarkingChannelCustomerDTO;
import com.yunzhi.marketing.xlk.entity.ChannelCustomer;

/**
 * <p>
 * 渠道报备客户表  服务类
 * </p>
 *
 * @author jobob
 * @since 2021-07-19
 */
public interface IChannelCustomerService extends IService<ChannelCustomer> {

    /**
     * 审核
     * @param id
     * @param channelCustomerDTO
     * @return
     */
    ResponseBean auditCustomer(Integer id, ChannelCustomerDTO channelCustomerDTO);

    /**
     * 驻场确认到访
     * @param id
     * @param params
     * @return
     */
    ResponseBean markingChannelCustomer(MarkingChannelCustomerDTO params);

    /**
     * 驻场 无效报备
     * @param params
     * @return
     */
    ResponseBean invalidCustomerUpdate(MarkingChannelCustomerDTO params);

    IPage<ChannelCustomer> getProfileList(IPage<ChannelCustomer> pg,
                                          Integer orgId,
                                          String buildingId,
                                          String name,
                                          String phone,
                                          String recommendPersonName,
                                          String recommendPhone,
                                          String status);
}
